List Files related to user
GET/v1/storage/files
Retrieve a list of files.
Request
Query Parameters
Default value: 1
Page number.
Possible values: <= 100
Default value: 20
Page size. Max size is 100.
Possible values: [created_at]
Page sort attribute.
Possible values: [asc, desc]
Default value: asc
Page order.
Header Parameters
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Responses
- 200
- 400
- 401
- 422
The Files returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
Page number.
Page size.
Page total.
Total of elements.
data object[]required
Files data.
File ID.
File name.
File folder.
File type.
File created at.
File updated at.
{
"page": 1,
"page_size": 20,
"page_total": 20,
"total": 100,
"data": [
{
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"file_name": "f6e2e084-29b9-4935-a059-5473b13033aa-onboarding-doc.png",
"folder_name": "Teste.",
"type": "ONBOARDING_DOCUMENTS",
"created_at": "2026-03-26T14:02:59.115Z",
"updated_at": "2026-03-26T14:02:59.115Z"
}
]
}
If any required params are missing or has invalid format or type.
User authentication failed.
If any required params are missing or has invalid format or type.